Skip to main content
GET
/
sdk-connections
/
lookup
/
{key}
cURL
curl https://api.growthbook.io/api/v1/sdk-connections/lookup/sdk-123abc \
  -u secret_abc123DEF456:
{
  "sdkConnection": {
    "id": "<string>",
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateUpdated": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "organization": "<string>",
    "languages": [
      "<string>"
    ],
    "environment": "<string>",
    "project": "<string>",
    "encryptPayload": true,
    "encryptionKey": "<string>",
    "key": "<string>",
    "proxyEnabled": true,
    "proxyHost": "<string>",
    "proxySigningKey": "<string>",
    "sdkVersion": "<string>",
    "projects": [
      "<string>"
    ],
    "includeVisualExperiments": true,
    "includeDraftExperiments": true,
    "includeExperimentNames": true,
    "includeRedirectExperiments": true,
    "includeRuleIds": true,
    "includeProjectIdInMetadata": true,
    "includeCustomFieldsInMetadata": true,
    "allowedCustomFieldsInMetadata": [
      "<string>"
    ],
    "includeTagsInMetadata": true,
    "sseEnabled": true,
    "hashSecureAttributes": true,
    "remoteEvalEnabled": true,
    "savedGroupReferencesEnabled": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

key
string
required

The key of the requested sdkConnection

Response

200 - application/json

Success

sdkConnection
object
required